| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::PreviewToolBar Class Reference
Inheritance diagram for Digikam::PreviewToolBar:

## Public Types
enum | PreviewMode { PreviewOriginalImage = 0x00000001 , PreviewBothImagesHorz = 0x00000002 , PreviewBothImagesVert = 0x00000004 , PreviewBothImagesHorzCont = 0x00000008 , PreviewBothImagesVertCont = 0x00000010 , PreviewTargetImage = 0x00000020 , PreviewToggleOnMouseOver = 0x00000040 , NoPreviewMode = 0x00000080 , AllPreviewModes , UnSplitPreviewModes = PreviewOriginalImage | PreviewTargetImage | PreviewToggleOnMouseOver }

## Signals
void | signalPreviewModeChanged (int)

## Public Member Functions
| PreviewToolBar (QWidget *const parent=nullptr)
PreviewMode | previewMode () const
void | readSettings (const KConfigGroup &group)
void | registerMenuActionGroup (EditorWindow *const editor)
void | setPreviewMode (PreviewMode mode)
void | setPreviewModeMask (int mask)
void | writeSettings (KConfigGroup &group)

## Member Enumeration Documentation

## ◆ PreviewMode

enum Digikam::PreviewToolBar::PreviewMode

Enumerator
PreviewOriginalImage | Original image only.
PreviewBothImagesHorz | Horizontal with original and target duplicated.
PreviewBothImagesVert | Vertical with original and target duplicated.
PreviewBothImagesHorzCont | Horizontal with original and target in contiguous.
PreviewBothImagesVertCont | Vertical with original and target in contiguous.
PreviewTargetImage | Target image only.
PreviewToggleOnMouseOver | Original image if mouse is over image area, else target image.
NoPreviewMode | Target image only without information displayed.